Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.2 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27289

Description

Features resulting from the filter "amenity" = 'school' on multipolygons layer from OSM data import are not displayed and not listed in

attributes table in QGIS Desktop 3.2.1, works in QGIS Desktop 2.18.22 with same project file.

Steps to reproduce:

1. Add the OSM Data from Swellendam.osm into new project via Browser (only layers lines, multipolygons, points)

2. Add filter to multipolygons layer via Filter context menu in Layers panel: "amenity" = 'school'

3. Switch on "Show feature count" on multipolygons layer

4. Saved project (SwellendamFilter.qgs)

Result:

Nothing from the multipolygons layer is displayed, although feature count is 4; attributes table is empty, but shows 4 total features (see

SwellendamFilterQGIS_3_2.JPG).

Opening the SwellendamFilter.qgs file in QGIS Desktop 2.18.22 shows the 4 features (see SwellendamFilterQGIS_2_18_22.JPG).

Attached ZIP file contains the OSM, the QGS and the two JPG files.

History

#1 - 2018-07-22 01:17 PM - Giovanni Manghi

- Regression? changed from No to Yes

#2 - 2018-07-24 05:19 PM - Etienne Trimaille

- File map.osm added

I can confirm this issue.

Show feature count is not working on OSM layers (opened with the normal open vector layer menu)

#3 - 2018-07-25 07:32 AM - Alexander Täschner

In my case the feature count is correct (4), but the items are not rendered and not listed in the attributes table! So this seems to be another issue than the

one described by Etienne.

#4 - 2018-12-27 10:13 AM - Nyall Dawson

- Status changed from Open to Feedback
This should be fixed in 3.4 - can you confirm?

#5 - 2019-01-14 11:51 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

Swellendam.zip 1.52 MB 2018-07-22 Alexander Täschner

map.osm 110 KB 2018-07-24 Etienne Trimaille
